package com.engine.recruit.enums;

/**
 * @author:dxfeng
 * @createTime: 2023/10/16
 * @version: 1.0
 */
public enum CommonBrowserTypeEnum {
    /**
     * 聚才林招聘常用浏览按钮类型
     */
    GENDER("性别"),
    RESUME_SOURCE("简历来源"),
    RECRUITMENT_CHANNELS("招聘渠道"),
    JOB_NATURE("职位性质"),
    JOB_EDUCATION_REQUIREMENTS("职位学历要求"),
    MARITAL_STATUS("婚姻状况"),
    ON_JOB_STATUS("在职状态"),
    RECRUITMENT_REASONS("招聘原因"),
    YEARS_OF_WORK("工作年限"),
    WORK_EXPERIENCE("工作经验"),
    POLITICAL_LANDSCAPE("政治面貌"),
    DEGREE("学位");

    CommonBrowserTypeEnum(String desc) {
        this.desc = desc;
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
